# Visualization
TKNIS
NIS

# NIS_SurfaceDrawer Class Reference

`#include <NIS_SurfaceDrawer.hxx>`

Inheritance diagram for NIS_SurfaceDrawer:

[legend]

## Public Member Functions

Standard_EXPORT | NIS_SurfaceDrawer (const Quantity_Color &theNormal, const Quantity_Color &theHilight=Quantity_NOC_GRAY80, const Quantity_Color &theDynHilight=Quantity_NOC_CYAN1)
Standard_EXPORT void | SetColor (const Quantity_Color &theColor, const Standard_Real theTransparency)
void | SetBackColor (const Quantity_Color &theColor)
void | SetTransformation (const gp_Trsf &theTrsf)
const gp_Trsf & | GetTransformation () const
void | SetPolygonOffset (const Standard_Real theOffset)
Standard_Real | GetPolygonOffset () const
virtual Standard_EXPORT void | Assign (const Handle_NIS_Drawer &theOther)
virtual Standard_EXPORT void | BeforeDraw (const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_EXPORT void | AfterDraw (const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_EXPORT void | Draw (const Handle_NIS_InteractiveObject &, const DrawType theType, const NIS_DrawList &theDrawList)
virtual Standard_EXPORT Standard_Boolean | IsEqual (const Handle_NIS_Drawer &theOth) const

## Protected Member Functions

virtual Standard_EXPORT void | redraw (const DrawType theType, const Handle_NIS_View &theView)

## Private Attributes

Quantity_Color | myColor [4]
Quantity_Color | myBackColor
gp_Trsf | myTrsf
Standard_Real | myTransparency
Standard_ShortReal | myPolygonOffset

## Detailed Description

Drawer for interactive object type NIS_Surface.

## Constructor & Destructor Documentation

Standard_EXPORT NIS_SurfaceDrawer::NIS_SurfaceDrawer | ( | const Quantity_Color & | theNormal,
|  | const Quantity_Color & | theHilight = `Quantity_NOC_GRAY80`,
|  | const Quantity_Color & | theDynHilight = `Quantity_NOC_CYAN1`
| ) |

| Constructor.

## Member Function Documentation

virtual Standard_EXPORT void NIS_SurfaceDrawer::AfterDraw | ( | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) | `[virtual]`

| Called after execution of Draw(), once per group of interactive objects. Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_SurfaceDrawer::Assign | ( | const Handle_NIS_Drawer & | theOther | ) | `[virtual]`

| Copy the relevant information from another instance of Drawer. raises exception if theOther has incompatible type (test IsKind). Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_SurfaceDrawer::BeforeDraw | ( | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) | `[virtual]`

| Called before execution of Draw(), once per group of interactive objects. Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_SurfaceDrawer::Draw | ( | const Handle_NIS_InteractiveObject & | ,
|  | const DrawType | theType,
|  | const NIS_DrawList & | theDrawList
| ) | `[virtual]`

| Main function: display the given interactive object in the given view. Implements NIS_Drawer< A >.

Standard_Real NIS_SurfaceDrawer::GetPolygonOffset | ( |  | ) | const`[inline]`

| Get the surface offset.

const gp_Trsf& NIS_SurfaceDrawer::GetTransformation | ( |  | ) | const`[inline]`

| Returns the transformation to the drawer.

virtual Standard_EXPORT Standard_Boolean NIS_SurfaceDrawer::IsEqual | ( | const Handle_NIS_Drawer & | theOth | ) | const`[virtual]`

| Matching two instances, for Map interface. Reimplemented from NIS_Drawer< A >.

virtual Standard_EXPORT void NIS_SurfaceDrawer::redraw | ( | const DrawType | theType,
|  | const Handle_NIS_View & | theView
| ) | `[protected, virtual]`

| Reimplemented from NIS_Drawer< A >.

void NIS_SurfaceDrawer::SetBackColor | ( | const Quantity_Color & | theColor | ) | `[inline]`

| Define the color used for the back side of rendered triangles. By default this color is the same as the 'Normal' color.

Standard_EXPORT void NIS_SurfaceDrawer::SetColor | ( | const Quantity_Color & | theColor,
|  | const Standard_Real | theTransparency
| ) |

| Sets the color and transparency of the drawer.

void NIS_SurfaceDrawer::SetPolygonOffset | ( | const Standard_Real | theOffset | ) | `[inline]`

| Sets the surface offset

void NIS_SurfaceDrawer::SetTransformation | ( | const gp_Trsf & | theTrsf | ) | `[inline]`

| Sets the transformation to the drawer.

## Field Documentation

Quantity_Color NIS_SurfaceDrawer::myBackColor `[private]`

Quantity_Color NIS_SurfaceDrawer::myColor[4]`[private]`

Standard_ShortReal NIS_SurfaceDrawer::myPolygonOffset `[private]`

Standard_Real NIS_SurfaceDrawer::myTransparency `[private]`

gp_Trsf NIS_SurfaceDrawer::myTrsf `[private]`

The documentation for this class was generated from the following file:

- NIS_SurfaceDrawer.hxx